# Generated by Django 5.0.4 on 2024-08-09 21:17

import django.db.models.deletion
import django_better_admin_arrayfield.models.fields
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("django_celery_beat", "0018_improve_crontab_helptext"),
        ("lib", "0001_initial"),
        ("workflow", "0037_add_from_user"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="checklistdefinition",
            options={"ordering": ("-created_on",)},
        ),
        migrations.AddField(
            model_name="recurrence",
            name="crontab_schedule",
            field=models.ForeignKey(
                blank=True,
                help_text="Crontab schedule to create new runs on.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="django_celery_beat.crontabschedule",
                verbose_name="Crontab schedule",
            ),
        ),
        migrations.AlterField(
            model_name="email",
            name="reply_to",
            field=django_better_admin_arrayfield.models.fields.ArrayField(
                base_field=models.EmailField(max_length=254),
                blank=True,
                help_text="DEPRECATED: This field will soon be removed and does not work. Check the 'from_user' field on the recurrence instead. Previously: replies to this email will be sent to these addresses.",
                null=True,
                size=None,
                verbose_name="Email reply-to addresses",
            ),
        ),
        migrations.AlterField(
            model_name="recurrence",
            name="from_user",
            field=models.ForeignKey(
                blank=True,
                help_text="When set, makes sure reminder notification emails we send are addressed as from this user.",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="recurrences_announcing_for",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="recurrence",
            name="interval_schedule",
            field=models.ForeignKey(
                blank=True,
                help_text="Interval Schedule to create new runs on.",
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                to="django_celery_beat.intervalschedule",
                verbose_name="Interval Schedule",
            ),
        ),
        migrations.AlterField(
            model_name="recurrence",
            name="start_date",
            field=models.DateTimeField(
                blank=True,
                help_text="Datetime when the schedule should begin triggering the task to run. Used only with interval_schedule, not cron_schedule.",
                null=True,
                verbose_name="Start Datetime",
            ),
        ),
        migrations.AlterField(
            model_name="taggedrecurrence",
            name="tag",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="%(app_label)s_%(class)s_items",
                to="lib.tag",
            ),
        ),
        migrations.AlterField(
            model_name="taggedtask",
            name="tag",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="%(app_label)s_%(class)s_items",
                to="lib.tag",
            ),
        ),
        migrations.AlterField(
            model_name="taggedtaskdefinition",
            name="tag",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="%(app_label)s_%(class)s_items",
                to="lib.tag",
            ),
        ),
    ]
